Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.image
Class CDSequence

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.std.image.CDSequence

All Implemented Interfaces:
  quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

Direct Known Subclasses:
  CSequence, DSequence

public class CDSequence
extends QTObject
implements quicktime.jdirect.QuickTimeLib

This class defines methods which are used during compression and decompression of image sequences.

See Also:
  `CSequence`, `DSequence`

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Method Summary
`boolean` | `busy()` Your application may call this method to check the status of an asynchronous compression or decompression operation.
`boolean` | `equivalentImageDescription(ImageDescription newDesc)` Reports whether two image descriptions are the same.
`ImageDescription` | `getDescription()` Returns the ImageDescription object associated with this sequence.
`void` | `setTimeBase(TimeBase base)` Set the time base for the CDSequence object.

Methods inherited from class quicktime.QTObject
`disposeQTObject, equals, ID, toString`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getDescription

    public final ImageDescription getDescription()

  Returns the ImageDescription object associated with this sequence.
  Returns:
    the image description

### setTimeBase

    public final void setTimeBase(TimeBase base)
                           throws StdQTException

  Set the time base for the CDSequence object.
  QuickTime::CDSequenceSetTimeBase

  Parameters:
    `base` - the TimeBase for the sequence

### busy

    public boolean busy()
                 throws StdQTException

  Your application may call this method to check the status of an asynchronous compression or decompression operation.
  QuickTime::CDSequenceBusy

  Returns:
    true if an asynchronous operation is in progress, false otherwise

### equivalentImageDescription

    public final boolean equivalentImageDescription(ImageDescription newDesc)
                                             throws StdQTException

  Reports whether two image descriptions are the same.
  QuickTime::CDSequenceEquivalentImageDescription

  Parameters:
    `newDesc` - an ImageDescription object that describes a compressed image
  Returns:
    true if the descriptions are equivalent, false otherwise

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD